
(cl:in-package :asdf)

(defsystem "rsm_msgs-srv"
  :depends-on (:roslisp-msg-protocol :roslisp-utils :geometry_msgs-msg
               :rsm_msgs-msg
)
  :components ((:file "_package")
    (:file "AddFailedGoal" :depends-on ("_package_AddFailedGoal"))
    (:file "_package_AddFailedGoal" :depends-on ("_package"))
    (:file "AddWaypoint" :depends-on ("_package_AddWaypoint"))
    (:file "_package_AddWaypoint" :depends-on ("_package"))
    (:file "GetCmdVelRecording" :depends-on ("_package_GetCmdVelRecording"))
    (:file "_package_GetCmdVelRecording" :depends-on ("_package"))
    (:file "GetFailedGoals" :depends-on ("_package_GetFailedGoals"))
    (:file "_package_GetFailedGoals" :depends-on ("_package"))
    (:file "GetNavigationGoal" :depends-on ("_package_GetNavigationGoal"))
    (:file "_package_GetNavigationGoal" :depends-on ("_package"))
    (:file "GetRobotPose" :depends-on ("_package_GetRobotPose"))
    (:file "_package_GetRobotPose" :depends-on ("_package"))
    (:file "GetWaypointRoutines" :depends-on ("_package_GetWaypointRoutines"))
    (:file "_package_GetWaypointRoutines" :depends-on ("_package"))
    (:file "GetWaypoints" :depends-on ("_package_GetWaypoints"))
    (:file "_package_GetWaypoints" :depends-on ("_package"))
    (:file "MoveWaypoint" :depends-on ("_package_MoveWaypoint"))
    (:file "_package_MoveWaypoint" :depends-on ("_package"))
    (:file "RemoveWaypoint" :depends-on ("_package_RemoveWaypoint"))
    (:file "_package_RemoveWaypoint" :depends-on ("_package"))
    (:file "SetNavigationGoal" :depends-on ("_package_SetNavigationGoal"))
    (:file "_package_SetNavigationGoal" :depends-on ("_package"))
    (:file "SetOperationMode" :depends-on ("_package_SetOperationMode"))
    (:file "_package_SetOperationMode" :depends-on ("_package"))
    (:file "SetWaypointFollowingMode" :depends-on ("_package_SetWaypointFollowingMode"))
    (:file "_package_SetWaypointFollowingMode" :depends-on ("_package"))
    (:file "SetWaypointRoutine" :depends-on ("_package_SetWaypointRoutine"))
    (:file "_package_SetWaypointRoutine" :depends-on ("_package"))
    (:file "WaypointUnreachable" :depends-on ("_package_WaypointUnreachable"))
    (:file "_package_WaypointUnreachable" :depends-on ("_package"))
    (:file "WaypointVisited" :depends-on ("_package_WaypointVisited"))
    (:file "_package_WaypointVisited" :depends-on ("_package"))
  ))