
"use strict";

let GetFailedGoals = require('./GetFailedGoals.js')
let SetWaypointRoutine = require('./SetWaypointRoutine.js')
let GetCmdVelRecording = require('./GetCmdVelRecording.js')
let AddWaypoint = require('./AddWaypoint.js')
let GetNavigationGoal = require('./GetNavigationGoal.js')
let MoveWaypoint = require('./MoveWaypoint.js')
let SetOperationMode = require('./SetOperationMode.js')
let WaypointVisited = require('./WaypointVisited.js')
let AddFailedGoal = require('./AddFailedGoal.js')
let SetNavigationGoal = require('./SetNavigationGoal.js')
let GetRobotPose = require('./GetRobotPose.js')
let GetWaypoints = require('./GetWaypoints.js')
let SetWaypointFollowingMode = require('./SetWaypointFollowingMode.js')
let WaypointUnreachable = require('./WaypointUnreachable.js')
let RemoveWaypoint = require('./RemoveWaypoint.js')
let GetWaypointRoutines = require('./GetWaypointRoutines.js')

module.exports = {
  GetFailedGoals: GetFailedGoals,
  SetWaypointRoutine: SetWaypointRoutine,
  GetCmdVelRecording: GetCmdVelRecording,
  AddWaypoint: AddWaypoint,
  GetNavigationGoal: GetNavigationGoal,
  MoveWaypoint: MoveWaypoint,
  SetOperationMode: SetOperationMode,
  WaypointVisited: WaypointVisited,
  AddFailedGoal: AddFailedGoal,
  SetNavigationGoal: SetNavigationGoal,
  GetRobotPose: GetRobotPose,
  GetWaypoints: GetWaypoints,
  SetWaypointFollowingMode: SetWaypointFollowingMode,
  WaypointUnreachable: WaypointUnreachable,
  RemoveWaypoint: RemoveWaypoint,
  GetWaypointRoutines: GetWaypointRoutines,
};
